classification
Title: urllib.error.HTTPError.reason is not documented
Type: Stage:
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, orsenthil, terry.reedy
Priority: normal Keywords: patch

Created on 2012-12-07 12:50 by berker.peksag, last changed 2012-12-09 21:54 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
httperror-reason.diff berker.peksag, 2012-12-07 12:50 review
Messages (3)
msg177083 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2012-12-07 12:50
The "reason" attribute has been added to urllib.error.HTTPError in issue 13211.

Related changeset: http://hg.python.org/cpython/rev/deb60efd32eb
msg177145 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-12-08 05:52
And it was added to all of 2.7, 3.2, and 3.3, so doc patch should be also.
msg177239 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-12-09 21:54
Thanks for raising the bug and patch,  Berker Peksag.
Fixed in all versions.
History
Date User Action Args
2012-12-09 21:54:13orsenthilsetstatus: open -> closed

nosy: + orsenthil
messages: + msg177239

resolution: fixed
2012-12-08 05:52:17terry.reedysetnosy: + terry.reedy
messages: + msg177145
2012-12-07 12:50:56berker.peksagcreate